# Nextcloud
CTN_NAME="nextcloud"
CTN_MEM=$(get_podcfg $CTN_NAME CTN_MEM)
CTN_PORT=$(get_podcfg $CTN_NAME CTN_PORT)
CTN_INTERNAL_PORT=$(get_podcfg $CTN_NAME CTN_INTERNAL_PORT)
CTN_IMAGE=$(get_podcfg $CTN_NAME CTN_IMAGE)
CTN_SRC=$(get_podcfg $CTN_NAME CTN_SRC)
CTN_WORKDIR=$(get_podcfg $CTN_NAME CTN_WORKDIR)
IS_PROXY=$([[ -n $CFG_DOMAIN_PROXY ]] && echo true || echo false)


#pod_pre_config() {
#}

pod_run() {
    mkdir -p $CFG_LIVE_DATA/$CTN_WORKDIR
    podman run --name=$CTN_NAME --hostname=$CTN_NAME --memory $CTN_MEM \
               --dns=$DNS_CTN_IP --dns=$GATEWAY_IP \
               --network=$NETWORK_NAME --detach --no-hosts \
               -e UMASK=022 \
               -e MYSQL_HOST=nc-mariadb.$DOMAIN_NAME:3306 \
               -e MYSQL_DATABASE=$DB_NAME \
               -e MYSQL_USER=$DB_USER \
               -e MYSQL_PASSWORD=$DB_PASS \
               -v "$COMMON_ETC_HOSTS":/etc/hosts \
               -v "$CFG_LIVE_DATA/$CTN_WORKDIR":/var/www/html \
               $(eval $IS_PROXY || echo "--publish=$CTN_PORT:$CTN_INTERNAL_PORT") \
               --expose $CTN_INTERNAL_PORT \
               $CTN_SRC/$CTN_IMAGE
}

# Remote configuration jobs (// tasks after containers run())
pod_config() {
    _extra_gen_ssl_key_cmd="sleep 2; touch config/config.php; chown -R www-data:www-data /var/www; "
    add_setup_cmd_to_ctn ${CTN_NAME}  "$_extra_gen_ssl_key_cmd" "set www-data permissions"
}

#pod_post_config() {
#}
